Bug 991604 - (CVE-2013-4209) CVE-2013-4209 ABRT: (substantially) limited leak of unauthorized information
CVE-2013-4209 ABRT: (substantially) limited leak of unauthorized information
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130906,reported=2...
: Security
Depends On: 994418
Blocks: 994278
  Show dependency treegraph
 
Reported: 2013-08-02 17:35 EDT by Jan Pokorný
Modified: 2015-10-15 13:56 EDT (History)
4 users (show)

See Also:
Fixed In Version: abrt 2.1.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-06 05:12:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 4 Vincent Danen 2013-08-06 19:53:30 EDT
A flaw was found in abrt, where a local attacker could obtain the SHA1SUM of a file they should have no access to.

Acknowledgements:

This issue was discovered by Jan Pokorný of Red Hat.
Comment 6 Vincent Danen 2013-08-06 19:57:13 EDT
Statement:

Not vulnerable. This issue did not affect the versions of abrt as shipped with Red Hat Enterprise Linux 6.
Comment 15 Stefan Cornelius 2013-09-06 05:12:43 EDT
Time to open this up.

We now ship the fixed version 2.1.6 on all previously affected products.
Comment 17 Martin Milata 2013-09-26 11:22:05 EDT
In upstream commit https://github.com/abrt/abrt/commit/776209bd00b0dd16d02dd20fdb14eecbb6b9fa18 the format of core backtraces changed significantly. Source file hashes are no longer included for python exception reports.

Note You need to log in before you can comment on or make changes to this bug.